import BigNumber from 'bignumber.js';
import { Accounting, TokenDefinition } from '@melonproject/melonjs';
import { Resolver } from '../../';
export declare const address: Resolver<Accounting>;
export declare const sharePrice: Resolver<Accounting>;
export declare const grossAssetValue: Resolver<Accounting>;
export declare const netAssetValue: Resolver<Accounting>;
export interface Holding {
    token: TokenDefinition;
    amount: BigNumber;
}
export declare const holdings: Resolver<Accounting>;
